Subject: Re: ls /dev/*
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: Andrew DeFaria <[email-masked]>
Date: Wed, 3 Nov 2004 10:21:32 -0500

On Wed, Nov 03, 2004 at 09:52:13AM -0500, Sam Steingold wrote:
>> * Andrew DeFaria <[email-masked]> [2004-11-02 22:07:41 -0800]:
>>
>> Christopher Faylor wrote:
>>
>>> On Tue, Nov 02, 2004 at 02:55:39PM -0500, Sam Steingold wrote:
>>>
>>>> why isn't /dev a more "usual" directory?
>>>> cd /dev, ls /dev all fail, while
>>>> cat /dev/clipboard works.
>>>
>>> No one has implemented the special handling required for /dev which
>>> would enable things like opendir/readdir or cd to work.
>>
>> Actually I change the cygdrive prefix to dev. Just seems to make sense
>> to me that C: would be /dev/c as apposed to /cygdrive/c, which is longer
>> to type. When I ls /dev I get:
>>
>> $ ls /dev
>> c/  d/  z/
>
>YES!  I think this is a great idea!

Ok.  One of us is pretty confused.  If you want /dev to just contain
any random stuff, then you could just create the directory and populate
it.  You could even populate it with devices if you wanted.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/